<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
  
    protected void Button1_Click(object sender, EventArgs e)
    {
        // Encrypt with Rijndael (hexadecimal output)
        if (this.TextBox1.Text.Length > 0)
        {
            LLCryptoLib.Crypto.TextCrypter crypter = 
                LLCryptoLib.Crypto.TextCrypterFactory.Create(
                    LLCryptoLib.Crypto.SupportedTextAlgorithms.RIJNDAEL, 
                    new LLCryptoLib.Crypto.TextAlgorithmParameters("password"));
            string encText = crypter.HexEncryptDecrypt(this.TextBox1.Text, true, LLCryptoLib.HexStyle.UNIX);
            this.TextBox2.Text = encText;
            this.TextBox1.Text = "";
        }
        // Decrypt Rijndael in hexadecimal text format
        else if (this.TextBox2.Text.Length > 0)
        {
            LLCryptoLib.Crypto.TextCrypter crypter =
                LLCryptoLib.Crypto.TextCrypterFactory.Create(
                    LLCryptoLib.Crypto.SupportedTextAlgorithms.RIJNDAEL,
                    new LLCryptoLib.Crypto.TextAlgorithmParameters("password"));
            string clearText = crypter.HexEncryptDecrypt(this.TextBox2.Text, false, LLCryptoLib.HexStyle.UNIX);
            this.TextBox1.Text = clearText;
            this.TextBox2.Text = "";
        }
    }
    
    
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>LLCRYPTOLIB ASP.NET</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <strong><span style="color: #3333ff">LLCRYPTOLIB ASP.NET TEST PAGE<br />
            <br />
        </span></strong><em><span style="color: #000000"><span style="font-size: 9pt">Put some
            clear text in the 'Clear Text' textbox and then press transform.<br />
            Now put some encrypted text in the 'Encrypted Text' texbox to decrypt it.</span><br />
        </span></em>
        <br />
        <asp:Label ID="Label1" runat="server" ForeColor="Green" Text="Clear Text"></asp:Label><br />
        <asp:TextBox ID="TextBox1" runat="server" Height="139px" TextMode="MultiLine" Width="467px"></asp:TextBox><br />
        <br />
        <asp:Label ID="Label2" runat="server" ForeColor="#C00000" Text="Encrypted Text"></asp:Label><br />
        <asp:TextBox ID="TextBox2" runat="server" Height="139px" TextMode="MultiLine" Width="469px"></asp:TextBox><br />
        <br />
        <asp:Button ID="Button1" runat="server" OnClick="Button1_Click" Text="Transform" /></div>
    </form>
</body>
</html>
